Download it now!
Bug 90607 - Bullets that do not have text following them are not getting exported to pptx correctly.
Summary: Bullets that do not have text following them are not getting exported to pptx...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Charu Tyagi
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-14 09:13 UTC by Charu Tyagi
Modified: 2015-11-08 21:43 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Charu Tyagi 2015-04-14 09:13:38 UTC

    
Comment 1 Charu Tyagi 2015-04-14 09:17:38 UTC
Steps to reproduce the bug:

1) Open a new presentation in impress.
2) Click on format from the menu bar.
3) Select Bullet and Numbering from the drop down.
4) Select the image tab and select the type of bullet you want.
5) Click OK.
6) Type any text following the bullet.
7) Press Enter.
8) Cursor will reach the next line with an empty bullet. Do not type anything following the bullet.
9) Save the file with .pptx extension.
10) Reopen the saved file.

Current Behavior :
The bullet that does not have any text following it is not visible. Only the ones which are having some text following them are visible.

Expected behavior :
All the bullets should be visible whether they are having any text following them or not.

The issue holds true for non graphical bullets as well.
Comment 2 Luke 2015-04-15 06:56:43 UTC
The following steps will leave a blank bullet in .PPTX
8) Cursor will reach the next line with an empty bullet. PRESS THE SPACE BAR ONCE.

This is necessary to maintain interoperability with MS PowerPoint/OOXML standard. In PowerPoint the outline generator assumes that blank lines should not have numbers/bullet labels. 

Changing the behavior of Impress to match PowerPoint might be a valid enhancement request. Otherwise, you need to stick with the ODP format or put a space at the end.
Comment 3 Luke 2015-04-15 07:00:49 UTC
No need to file an enhancement request, there's already one: Bug 67117
Comment 4 Muthu Subramanian 2015-04-23 15:35:46 UTC
@Luke: Until then, we need to preserve 'what you see is what you get' behavior, right? Currently, in LibO you would need to remove the bullet with a 'back-space'. 

I would suggest this behavior until we have the modified behavior (?).

[I would personally not like modifying the current LibO's default behavior of showing bullets, but then...]
Comment 5 Muthu Subramanian 2015-04-23 15:37:50 UTC
Link to the patch (to add an empty space, which doesn't cause much visual effects): https://gerrit.libreoffice.org/#/c/15298/
Comment 6 Commit Notification 2015-05-10 19:56:37 UTC
Charu Tyagi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ff13e13f5f1ec7436e99c6ff7c9a863bc1a1572

tdf#90607:Issue in bullets not having  any text following.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-05-14 13:29:27 UTC
Charu Tyagi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58f43ab810311d8b7238317f4cec5346eebdbb17

tdf#90607-Test Case for the patch

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.